add_onnx_mlir_dialect(Spatial spat)
add_onnx_mlir_dialect_doc(spat Spatial.td)

add_pim_library(SpatialOps
  SpatialOps.cpp
  Transforms/SpatialBufferizableOpInterface.cpp

  EXCLUDE_FROM_OM_LIBS

  DEPENDS
  OMONNXIncGen
  OMSpatialIncGen

  LINK_LIBS PUBLIC
  MLIRIR
  MLIRBufferizationDialect
  MLIRBufferizationTransforms
  OMMlirDialects
  OMONNXOps
  OMPimCompilerOptions
  PimOps
)
